cmake_minimum_required(VERSION 3.16)

# project name
project(paradiso
    VERSION 0.0.1
    LANGUAGES C CXX
    DESCRIPTION "Paradigmen der Software Entwicklung - Spiele Prototyp"
    HOMEPAGE_URL "https://technotecture.com/project/paradiso"
    )

# boilerplate locations for build
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE PATH "Executables go here")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE PATH "Libraries go here")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE PATH "Standalone DLLs go here") 

#
# C++20 is mandatory
#
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

add_subdirectory(src)
add_subdirectory(examples/simple)